## Class TWizardStepCollection

Description

TWizardStepCollection class.

TWizardStepCollection represents the collection of wizard steps owned by a TWizard.

- since: 3.0
- version: $Id: TWizard.php 2427 2008-04-17 17:18:25Z tof $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TWizard.php (line 1677)

    TComponent
       |
       --TList
          |
          --TWizardStepCollection

Method Summary
TWizardStepCollection __construct (TWizard $wizard)
void insertAt (integer $index, mixed $item)
mixed removeAt (integer $index)
Methods
Constructor __construct (line 1688)

Constructor.

- access: public

TWizardStepCollection __construct (TWizard $wizard)

- TWizard $wizard: wizard that owns this collection

Redefinition of:

TList::__construct()
  Constructor.

insertAt (line 1701)

Inserts an item at the specified position.

This method overrides the parent implementation by checking if the item being added is a TWizardStep.

- access: public
- throws: TInvalidDataTypeException if the item being added is not TWizardStep.

void insertAt (integer $index, mixed $item)

- integer $index: the speicified position.
- mixed $item: new item

Redefinition of:

TList::insertAt()
  Inserts an item at the specified position.

removeAt (line 1718)

Removes an item at the specified position.

- return: the removed item.
- access: public

mixed removeAt (integer $index)

- integer $index: the index of the item to be removed.

Redefinition of:

TList::removeAt()
  Removes an item at the specified position.

#### Inherited Methods

Inherited From TList

> TList::__construct()
> TList::add()
> TList::clear()
> TList::contains()
> TList::copyFrom()
> TList::count()
> TList::getCount()
> TList::getIterator()
> TList::getReadOnly()
> TList::indexOf()
> TList::insertAt()
> TList::itemAt()
> TList::mergeWith()
> TList::offsetExists()
> TList::offsetGet()
> TList::offsetSet()
> TList::offsetUnset()
> TList::remove()
> TList::removeAt()
> TList::setReadOnly()
> TList::toArray()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:50 -0400 by phpDocumentor 1.3.0RC4